Bug 67238 - Unprotect Table Cells does not work, leaves some cells still protected
Summary: Unprotect Table Cells does not work, leaves some cells still protected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.3.0 target:4.2.1 target:4.1.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-24 04:14 UTC by Mike Kaganski
Modified: 2015-11-17 12:18 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2013-07-24 04:14:48 UTC
Steps to reproduce:

1. Create a new document; add a table, say, 3x3.
2. Select all cells in the table, right-click, Cell->Protect.
3. Select all cells again, right-click, Cell->Unprotect.

Expected result: all cells become unprotected.

Actual result: some cells become unprotected, others stay protected.
Comment 1 Cor Nouws 2013-07-26 23:19:35 UTC
Hi Mike,

thanks for the report.
I can confirm this more or less.
Strange: after trying to unprotect all at once, and then doing it for one cell, some other become unprotected too

Best,
Cor
Comment 2 Cor Nouws 2013-07-26 23:20:01 UTC
(First version with this bug needs to be checked...)
Comment 3 Mike Kaganski 2013-07-27 04:33:16 UTC
4.0.0.0.beta1 already has this problem. 4.1.0.4 still has it. 3.6 doesn't have it. Mark as regression and set version appropriately.
Comment 4 Michael Stahl (CIB) 2014-01-22 18:42:56 UTC
bibisect says:
fcda0878e99d5792e150705f63f3ba25b5d8d14c..6263315825e01e766668b9ce5d2eb52e71e051a7

772101649cf16233bbaf0900aa9ebbc915151a95 is the first bad commi

commit 772101649cf16233bbaf0900aa9ebbc915151a95
Author: Noel Grandin <noel@peralex.com>
Date:   Fri Jun 22 14:52:00 2012 +0200

    Convert SwDoc::UnProtectCells to use std::vector
Comment 5 Michael Stahl (CIB) 2014-01-22 23:20:56 UTC
fixed on master
Comment 6 Commit Notification 2014-01-22 23:22:03 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2f9d1b43e4b14cc48327cdce14a03c826096579

fdo#67238: sw: fix table cell Unprotect



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-01-25 11:57:49 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cc28ad9eb681e2eb0253910cc30afbf55ea5622b&h=libreoffice-4-2

fdo#67238: sw: fix table cell Unprotect


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-01-25 12:06:42 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d506760f7797565486c2470abbc269a446fbc3b0&h=libreoffice-4-1

fdo#67238: sw: fix table cell Unprotect


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2014-02-02 13:27:56 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ab6b03413803c9512a7dd02d42542372f8e573e&h=libreoffice-4-1-5

fdo#67238: sw: fix table cell Unprotect


It will be available already in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-11-17 09:17:44 UTC
Varun Dhall committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=23ea117f1c9f9f1462d56afab81b4fe348e1a4f8

Added Test for tdf#67238 table cell Unprotect

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.